Subject: Re: Fw: masquerading failure for at least icmp and tcp+sack on amd64

From: Patrick McHardy <[email-masked]>
Date: Fri, 09 Sep 2005 13:41:34 +0200

Marc Lehmann wrote:
> It's also a 64-bit-only problem. To verify, I tried this:
> 
> ethtool -K eth1 rx off tx off sg off
> 
> Where eth1 is the interface where pppoe runs over.
> 
> ethtool -k eth1 then displayed:
> 
>    rx-checksumming: off
>    tx-checksumming: off
>    scatter-gather: off
>    tcp segmentation offload: off
> 
> And ICMP, TCP etc. starts working again.
> 
> Thanks for the analysis and the hint, I guess that verifies that its hw
> checksumming. (Weird that hw checksumming on the underlying device somehow
> changes the ppp packets, but nevertheless).

I tried reproducing the problem without any luck. Its odd that its
happening on both eth and ppp devices, if it was just ppp I would
suspect some missing checksum update/invalidation in the ppp driver.
What network driver are you using? Please also send a list of loaded
modules and iptables rules. Thanks.